質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.13%

AWS環境においてcakephp2でextendsが使えない

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 147

terataileora

score 3

前提・実現したいこと

not found の連鎖を無くしたい

発生している問題・エラーメッセージ

Class 'AppController' not found in /home/ec2-user/environment/cakephp2/app/Controller/PostsController.php on line 3

該当のソースコード

<?php
class PostsController extends AppController {

}
//home/ec2-user/environment/cakephp2/app/Controller/PostsController.php

試したこと

上記のコードにApp::uses('AppController', 'Controller');を加えても、今度は”Class 'App'not found”と出てきます。

cakephpはcakephp.orgからダウンロードしてきたのですが、composerを使った方が良いのでしょうか?
composerではcakephp3のダウンロードしかできなくて、もし必要ならcakephp2のダウンロードの方法も知りたいです。

補足情報(FW/ツールのバージョンなど)

開発環境 AWS cloud9
cakephp 2.9
php 5.6
mysql 5.5

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

おそらくダウンロードしたものが違う(3系をダウンロードした)か、パスの設定、mode_rewriteの設定などサーバーが正しくセットアップできていないのでしょう。
インストール直後の状態で、ドキュメントルートに設定したディレクトリアクセスした場合に、正しくCakePHPのWelcomeページが表示されていましたか?

CakePHP 2.x系は、基本的にはダウンロードしてサーバーに投げ込むだけで動きます。 
インストール - CakePHP 2.x を確認してください。
ダウンロードで特定のバージョンのCakePHPを取得したいのであれば、https://github.com/cakephp/cakephp/tags から探すとよいでしょう。

ただ、保守性を考えるとCakePHPのアップデートをcomposerコマンドで行えるため composerによるVendorディレクトリへのインストール をお勧めします。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/11/18 14:33

    なお、CakePHP 2系は2020年にはサポートが終了する予定です。2021年以降はセキュリティ修正も提供されなくなるでしょう。PHP 5.5以下のサーバー動かさないといけないとか保守案件のため学習しないといけないという理由がない限り、3系での構築をお勧めします。

    キャンセル

  • 2019/11/18 15:29

    とても丁寧な回答ありがとうございます。
    2系をダウンロードして、やり直してみたところ、welcomeページは表示されたのですが、CSSが適用されていませんでした。キャッシュ以外に問題があるとしたら何がありますか?

    キャンセル

  • 2019/11/18 15:38

    cssが適用されていない原因として多くあるのは、Webサーバー側の設定で、app/webrootがドキュメントルートになっていない、ドキュメントルートのサブディレクトリにインストールしたが、.htaccessでRwriteBaseの指定をしていない。といった理由が多いです。

    キャンセル

  • 2019/11/18 20:15

    ご回答ありがとうございます。確認してみます。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.13%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる